Cloud APIs
/- DrillPlan
Display Items API
- Create a task for requesting display items content.
Get DrillPlan display items.
Get a result of a display items content requesting task.
Get a content part as a result of a display items content requesting task.
Create a task for request...
Creates a new instance of the asynchronous task for requesting display items content. The user must be a member of the project to be able to request display items content.
Security
bearer and appkey
callbackobject(Callback)
The callback definition.
Example:
{ "uri": "https://example.com/callback", "headers": { "Authorization": "Bearer your_token_here", "Custom-Header": "custom_value" } }
The language tag according to BCP47 standard. Project language is used if it is not specified.
Example:"En-en"
The list of the requested display items.
Example:
[ { "display_item_id": "pressure-aea-card-results", "level_id": "d973c00e4d64f5ddb1231" } ]
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/requests
- ProdUShttps://api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/requests
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/drillplan-ddi-api/v1/projects/{projectId}/display-items/content/requests
curl -i -X POST \
'https://eu-api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/requests' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-data-partition-id: string' \
-d '{
"callback": {
"uri": "https://example.com/callback",
"headers": {
"Authorization": "Bearer your_token_here",
"Custom-Header": "custom_value"
}
},
"plan_id": "c40a4a24176a7f6ea7edd",
"language": "En-en",
"unit-system": "English",
"display_items": [
{
"display_item_id": "pressure-aea-card-results",
"level_id": "d973c00e4d64f5ddb1231"
}
]
}'Success
Represents the current stage in the lifecycle of a Task.
Enum:"Created""Published""Running""Succeeded""Canceled""Faulted"
Example:"succeeded"
problemobject(ProblemDetails)
Problem details according to RFC7807.
Response
{ "id": "c40a4a24176a7f6ea7edd", "project_id": "21322abc123def12001ef", "status": "succeeded", "is_completed": true, "artifacts": { "export_id": "d973c00e4d64f5ddb" } }